<?php
$pagename= "Seitenkonfiguration";

if (!defined('IN_HK') || !IN_HK)
{
	exit;
}

if (!HK_LOGGED_IN || !$users->hasFuse(USER_ID, 'fuse_sysadmin'))
{
	exit;
}

if (isset($_POST['sitio']))
{
	$sitename = filter($_POST['sitename']);
	$sitelogo = filter($_POST['sitelogo']);
	$ip = filter($_POST['ip']);
	$port = filter($_POST['port']);
	$swfbase = filter($_POST['swfbase']);
	$swfflash = filter($_POST['clienturl']);
	$variables = filter($_POST['variables']);
	$text = filter($_POST['text']);
	$productdata = filter($_POST['productdata']);
	$furnidata = filter($_POST['furnidata']);
	$msg = "Einstellungen gespeichert";
	$core->SetVar($ip, 'gameip');
	$core->SetVar($port, 'gameport');
	$core->SetVar($sitelogo, 'logoname');
	$core->SetVar($swfbase, 'swf_path');
	$core->SetVar($swfflash, 'habbo.swf');
	$core->SetVar($variables, 'variables');
	$core->SetVar($text, 'texts');
	$core->SetVar($productdata, 'productdata');
	$core->SetVar($furnidata, 'furnidata');
	$core->SetVar($sitename, 'sitename');
}

require_once "top.php";

?>			

<h3>Hotel</h3>

<p>Mit diesem Tool kannst du den Clienten bearbeiten und deine Seite umbennen sowie das Logo austauschen.</p>
<br><br><br>
<?php if(isset($msg)){ ?><h2><?php echo $msg; ?><br></h2><?php } ?>

<?php
?>

<form method='post' action='index.php?_cmd=confsitio&do=save'>
Deine &Ouml;ffentliche IP-Adresse:</br>
<img src="http://www.tracemyip.org/tracker/1108/4684NR-IPIB/324444479/25/njsUrl/" alt="www. tracemyip.org" border="0"></a>

<table>
<tr>
<td><h2>Seiten Einstellungen</h2></td>
</tr>
<tr>
<td>Hotel Name</td><td><input type="text" name="sitename" value="<?php echo $core->GetVar('sitename'); ?>"></td>
</tr>
<tr>
<td>Logo Name</td><td><input type="text" name="sitelogo" value="<?php echo $core->GetVar('logoname'); ?>"></td>
</tr>
<tr>
<td><h2>Client Einstellungen</h2></td><td></td>
</tr>
<tr>
<td>Client Ip</td><td><input type="text" size='20' name="ip" value="<?php echo $core->GetVar('gameip'); ?>"></td> 
</tr>
<tr>
<td>Client Port</td><td><input type="text" size='7' name="port" value="<?php echo $core->GetVar('gameport'); ?>"></td>
</tr>
<tr>
<td>SWF Base</td><td><input type="text" size='60' name="swfbase" value="<?php echo $core->GetVar('swf_path'); ?>"></td>
</tr>
<tr>
<td>SWF clienturl</td><td><input type="text" size='60' name="clienturl" value="<?php echo $core->GetVar('habbo.swf'); ?>"> (habbo.swf)</td>
</tr>
<tr>
<td>External Variables</td><td><input type="text" size='60' name="variables" value="<?php echo $core->GetVar('variables'); ?>"></td>
</tr>
<tr>
<td>External Text</td><td><input type="text" name="text" size='60' value="<?php echo $core->GetVar('texts'); ?>"></td>
</tr>
<tr>
<td>Productdata</td><td><input type="text" size='60' name="productdata" value="<?php echo $core->GetVar('productdata'); ?>"></td>
</tr>
<tr>
<td>Furnidata</td><td><input type="text" size='60' name="furnidata" value="<?php echo $core->GetVar('furnidata'); ?>"></td>
</tr>

</table>
<center><input type="submit" name="sitio" value="Speichern"></center>
<?php

require_once "bottom.php";

?>